<template>
  <transition name="test" mode="out-in">
    <section
      v-if="FULLSCREEN_MODAL_STATE"
      class="z-[100] top-0 fixed h-screen w-full bg-lime-50"
    >
      <div class="h-screen relative w-full overflow-auto">
        <div class="sticky top-0 w-full bg-lime-200">
          <div class="w-full content flex justify-end py-2">
            <button class="btn" @click="CloseFullscreenModal">Close</button>
          </div>
        </div>
        <div class="content py-10">
          <slot />
        </div>
      </div>
    </section>
  </transition>
</template>

<script setup lang="ts">
import { useModalStore } from "@/stores/modal";
import { storeToRefs } from "pinia";

const { FULLSCREEN_MODAL_STATE } = storeToRefs(useModalStore());
const { CloseFullscreenModal } = useModalStore();
</script>
